Subject: [Disman] ARC MIB update

From: "Lam, Hing-Kam (Kam)" <[email-masked]>
Date: Mon, 31 Mar 2003 00:15:40 -0500

Hi,

Per the Minutes of the Disman WG meeting in San Francisco on March 19th, 2003: 

> 6. Hing-Kam Lam needs to look at latest version of ID nits doc, the
> update to the RFC authors
> guidelines - for the ARC MIB update, as well as the latest guidelines
> for MIB reviewers.
> 
> 7. Kam to make known edits to ARC from above tasks, and send 
> it to Bert
> and internet-drafts...
> 

I have updated the ARC MIB to produce a version 07. I will send it to Bert and internet-drafts soon.
The following is a summary of the updates. 

(a) Replace Section 2 by the New MIB boilerplate. 
    
(b) Because of the above change, 
    replace Section 2 heading in the Table of Content;

    remove references to RFC1155, RFC1157, RFC1212, RFC1215, RFC1901, 
    RFC1905, RFC1906, RFC2570, RFC2571, RFC2572, RFC2573, RFC2574, and
    RFC2575 (RFC2574 and RFC2575 are not needed in the new Security 
    guidelines neither);

    add informative reference for RFC3410.
    add [RFC2119] to section 3 and add normative reference for RFC2119.

(c) Revise Section 6 according to the New MIB security 
    guidelines. 
 
(d) Update the year for the copyright statements.
    Update the date in the MIB module. 

    Also in the DESCRIPTION clause of the MODULE-IDENTITY, replace

    DESCRIPTION
       "The MIB module describes the objects for controlling a resource 
        in reporting alarm conditions that it detects."

  by

    DESCRIPTION
       "The MIB module describes the objects for controlling a resource 
        in reporting alarm conditions that it detects.

            Copyright (C) The Internet Society (2003).  This version
            of this MIB module is part of RFC yyyy;  see the RFC
            itself for full legal notices."
   -- RFC Ed.: replace yyyy with actual RFC number & remove this note
	
(e) Replace
 
       ::={ mib-2 yy }
 
    by

       ::={ mib-2 yy }  --  to be assigned by IANA

(f) Update format per ID-nits:

    Un-numbered Abstract section.
    Make first part of Old Section 3 as new Section 1 for Introduction.
    Make second part of old Section 3 as new Section 3 for Conventions.

(g) Update according to the MIB Reviewer Guideline:

    Change the descriptor associated with the MODULE-IDENTIFY invocation
    from arcMIB to arcMibModule.
    Change the name of the descriptor arcMIBTITimeInterval to arcTITimeInterval.
    Change the name of the descriptor arcMIBCDTimeInterval to arcCDTimeInterval.

(h) Remove the importing of Identifier `Unsigned32', which is never used

Regards,
Kam

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 31 Mar 2003 09:31:57 -0800

Hi -

> From: "Lam, Hing-Kam (Kam)" <[email-masked]>
> To: <[email-masked]>
> Cc: "Wijnen, Bert (Bert)" <[email-masked]>
> Sent: Sunday, March 30, 2003 9:15 PM
> Subject: [Disman] ARC MIB update
...
> I have updated the ARC MIB to produce a version 07. I will send it to Bert and internet-drafts soon.
...

Thanks, Kam!

Randy